# InfluxDB Endpoint Properties

## `query` (string)

The InfluxDB Flux query used to read or subscribe to measurements. This property is only used for read or subscribe endpoints

Example: `"from(bucket:\"my-bucket\") |> range(start: -1h) |> filter(fn: (r) => r._measurement == \"temperature\")"`

## `interval` (integer)

The amount of milliseconds between queries. If not provided defaults to 1000 milliseconds

## `cronExpression` (string)

The Cron expression used to poll the endpoint. (For examples, see: <https://github.com/node-cron/node-cron>)

Examples: `"1,2,4,5 * * * *"`, `"1-5 * * * *"`, `"*/2 * * * *"`, `"* * * January,September Sunday"`

## `measurement` (string)

The name of the measurement on which to store data points when writing data. This property can be overriden by providing the measurement in the data of a message, but it has to be set in at least one of the two places.

Example: `"exhaust_temperature"`

## `measurementPrefix` (string)

An optional prefix for the measurement name that it is prepend to it.

Example: `"engine_"`

## `fields` (object)

An optional object made up of key value pairs. These constant fields are merged with the fields from the message.

## `tags` (object)

An optional object made up of key value pairs. These constant tags are merged with the tags from the message.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/connectors/enterprise-connectors/influxdb/influxdbendpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
